Loading...
Searching...
No Matches
AVVideoRect Struct Reference

Copyright 2023 Elias Carotti <eliascrt at amazon dot it>. More...

`#include <libavutil/video_hint.h>`

## Data Fields

uint32_t | x
uint32_t | y
uint32_t | width
uint32_t | height

## Detailed Description

Copyright 2023 Elias Carotti <eliascrt at amazon dot it>.

This file is part of FFmpeg.

FFmpeg is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

FFmpeg is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with FFmpeg; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

Definition at line 29 of file video_hint.h.

## Field Documentation

## x

uint32_t AVVideoRect::x

Definition at line 30 of file video_hint.h.

## y

uint32_t AVVideoRect::y

Definition at line 30 of file video_hint.h.

## width

uint32_t AVVideoRect::width

Definition at line 31 of file video_hint.h.

## height

uint32_t AVVideoRect::height

Definition at line 31 of file video_hint.h.

The documentation for this struct was generated from the following file:

- libavutil/video_hint.h